<?php
/** Start the engine */
require_once( get_template_directory() . '/lib/init.php' );

/** Child theme (do not remove) */
define( 'CHILD_THEME_NAME', 'Don Caprio Genesis Child Theme' );
define( 'CHILD_THEME_URL', 'http://geek.ng/' );

/** Create additional color style options */
add_theme_support( 'genesis-style-selector', array( 'dc-blue' => 'Blue', 'dc-green' => 'Green', 'dc-red' => 'Red' ) );

/** Add support for structural wraps */
add_theme_support( 'genesis-structural-wraps', array( 'header', 'nav', 'subnav', 'inner', 'footer-widgets', 'footer' ) );

/** Add new image sizes */
add_image_size( 'grid-thumbnail', 270, 100, TRUE );

/** Add Viewport meta tag for mobile browsers */
add_action( 'genesis_meta', 'dc_viewport_meta_tag' );
function dc_viewport_meta_tag() {
    echo '<meta name="viewport" content="width=device-width, initial-scale=1.0"/>';
}

/** Add the page title section */
add_action( 'genesis_before_content_sidebar_wrap', 'dc_page_title' );
function dc_page_title() {
   genesis_widget_area( 'page-title', array(
       'before' => '<div class="page-title widget-area">',
   ) );
}

/** Add the after post section */
add_action( 'genesis_after_post_content', 'dc_after_post' );
function dc_after_post() {
   if ( ! is_singular( 'post' ) )
       return;
   genesis_widget_area( 'after-post', array(
       'before' => '<div class="after-post widget-area">',
   ) );
}

/** Add 3-column footer widgets */
add_theme_support( 'genesis-footer-widgets', 3 );

/** Register widget areas */
genesis_register_sidebar( array(
	'id'			=> 'page-title',
	'name'			=> __( 'Page Title', 'dc' ),
	'description'	=> __( 'This is the page title section.', 'dc' ),
) );
genesis_register_sidebar( array(
	'id'			=> 'after-post',
	'name'			=> __( 'After Post', 'dc' ),
	'description'	=> __( 'This is the after post section.', 'dc' ),
) );



/** Reposition the secondary navigation */
remove_action( 'genesis_after_header', 'genesis_do_subnav' );
add_action( 'genesis_before_header', 'genesis_do_subnav' );



//* Unregister secondary navigation menu
add_theme_support( 'genesis-menus', array( 'primary' => __( 'Primary Navigation Menu', 'genesis' ) ) );


genesis_register_sidebar( array(
'id' => 'home-featured',
'name' => __( 'Home Featured', 'dc' ),
'description' => __( 'This is the home featured section.', 'dc' ),
) );







//* Add HTML5 markup structure
add_theme_support( 'html5' );


